import { BoundingBox } from '../../core/shape/bounding-box.js';

class GSplatPlacement {
		constructor(resource, node, lodIndex = 0){
				this.intervals = new Map();
				this.lodIndex = 0;
				this._aabb = new BoundingBox();
				this.resource = resource;
				this.node = node;
				this.lodIndex = lodIndex;
		}
		set aabb(aabb) {
				this._aabb.copy(aabb);
		}
		get aabb() {
				return this._aabb;
		}
}

export { GSplatPlacement };
